Manage Current Transaction Report (CTR) records.
Operations
getCtrSelectFields
Retrieves CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/getCtrSelectFieldsPOST /nexum/627/persistent/finrep/getCtrSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "0",
"SelectableFields": {
"IncludeAllCtrFields": true
}
}getCtrSelectFieldsFilterChildren
Retrieves CTRs with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/getCtrSelectFieldsFilterChildrenPOST /nexum/627/persistent/finrep/getCtrSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrFields": true,
"CtrFields": {
"AckByUser": true,
"AckDate": true,
"AckErrorByUser": true,
"AckErrorDate": true,
"ApproveAmendByUser": true,
"ApproveAmendDate": true,
"ApproveByUser": true,
"ApproveDate": true,
"Approver": true,
"ApproverTitle": true,
"BackFileFlag": true,
"BatchSequence": true,
"BranchRouting": true,
"CashinBillsInsert": true,
"CashinCurrWager": true,
"CashinCurrXchng": true,
"CashinDeposit": true,
"CashinFundsXfer": true,
"CashinGamingIns": true,
"CashinNegIns": true
},
"CtrAccountSelectableFields": {
"IncludeAllCtrAccountFields": true,
"CtrAccountFields": {
"AccountNumber": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"CtrBranchSelectableFields": {
"IncludeAllCtrBranchFields": true,
"CtrBranchFields": {
"Address": true,
"CashinLocation": true,
"CashoutLocation": true,
"City": true,
"CountryCode": true,
"Ein": true,
"Id": true,
"LastFmDate": true,
"Locator": true,
"Name": true,
"RecordChangeDate": true,
"State": true,
"Type": true,
"ZipCode": true
}
},
"CtrFmHistorySelectableFields": {
"IncludeAllCtrFmHistoryFields": true,
"CtrFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"CtrForeignSelectableFields": {
"IncludeAllCtrForeignFields": true,
"CtrForeignFields": {
"Cashin": true,
"Cashout": true,
"CountryCode": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true
}
},
"CtrNoteSelectableFields": {
"IncludeAllCtrNoteFields": true,
"CtrNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"CtrPersonSelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
},
"CtrPersonCtrTranInfoSelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
}
}
},
"ChildrenSearchFilter": {
"CtrAccountFilter": {
"Query": "string"
},
"CtrBranchFilter": {
"Query": "string"
},
"CtrFmHistoryFilter": {
"StartPostDate": "string",
"EndPostDate": "string",
"Query": "string"
},
"CtrForeignFilter": {
"Query": "string"
},
"CtrNoteFilter": {
"Query": "string"
},
"CtrPersonFilter": {
"Query": "string",
"CtrPersonChildrenFilter": {}
}
},
"nxAttributes": null
}getCtrAccountSelectFields
Retrieves CTR accounts with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrAccountLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/getCtrAccountSelectFieldsPOST /nexum/627/persistent/finrep/getCtrAccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrAccountLocator": 0,
"SelectableFields": {
"IncludeAllCtrAccountFields": true,
"CtrAccountFields": {
"AccountNumber": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrAccountPagedListSelectFields
Retrieves a paged list of CTR accounts with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/getCtrAccountPagedListSelectFieldsPOST /nexum/627/persistent/finrep/getCtrAccountPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrAccountFields": true,
"CtrAccountFields": {
"AccountNumber": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrAccountPagedSelectFields
Searches CTR accounts with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/searchCtrAccountPagedSelectFieldsPOST /nexum/627/persistent/finrep/searchCtrAccountPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrAccountFields": true,
"CtrAccountFields": {
"AccountNumber": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrBranchSelectFields
Retrieves CTR branches with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrBranchLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/getCtrBranchSelectFieldsPOST /nexum/627/persistent/finrep/getCtrBranchSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrBranchLocator": 0,
"SelectableFields": {
"IncludeAllCtrBranchFields": true,
"CtrBranchFields": {
"Address": true,
"CashinLocation": true,
"CashoutLocation": true,
"City": true,
"CountryCode": true,
"Ein": true,
"Id": true,
"LastFmDate": true,
"Locator": true,
"Name": true,
"RecordChangeDate": true,
"State": true,
"Type": true,
"ZipCode": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrBranchPagedListSelectFields
Retrieves a paged list of CTR branches with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/getCtrBranchPagedListSelectFieldsPOST /nexum/627/persistent/finrep/getCtrBranchPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrBranchFields": true,
"CtrBranchFields": {
"Address": true,
"CashinLocation": true,
"CashoutLocation": true,
"City": true,
"CountryCode": true,
"Ein": true,
"Id": true,
"LastFmDate": true,
"Locator": true,
"Name": true,
"RecordChangeDate": true,
"State": true,
"Type": true,
"ZipCode": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrBranchPagedSelectFields
Searches CTR branches with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/searchCtrBranchPagedSelectFieldsPOST /nexum/627/persistent/finrep/searchCtrBranchPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrBranchFields": true,
"CtrBranchFields": {
"Address": true,
"CashinLocation": true,
"CashoutLocation": true,
"City": true,
"CountryCode": true,
"Ein": true,
"Id": true,
"LastFmDate": true,
"Locator": true,
"Name": true,
"RecordChangeDate": true,
"State": true,
"Type": true,
"ZipCode": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrFmHistoryPagedListSelectFields
Retrieves a paged list of CTRs from history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/getCtrFmHistoryPagedListSelectFieldsPOST /nexum/627/persistent/finrep/getCtrFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrFmHistoryFields": true,
"CtrFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrFmHistoryPagedSelectFields
Searches CTRs from history with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/searchCtrFmHistoryPagedSelectFieldsPOST /nexum/627/persistent/finrep/searchCtrFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrFmHistoryFields": true,
"CtrFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"SearchFilter": {
"StartPostDate": "string",
"EndPostDate": "string",
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrForeignSelectFields
Retrieves foreign CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrForeignLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/getCtrForeignSelectFieldsPOST /nexum/627/persistent/finrep/getCtrForeignSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrForeignLocator": 0,
"SelectableFields": {
"IncludeAllCtrForeignFields": true,
"CtrForeignFields": {
"Cashin": true,
"Cashout": true,
"CountryCode": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrForeignPagedListSelectFields
Retrieves a paged list of foreign CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/getCtrForeignPagedListSelectFieldsPOST /nexum/627/persistent/finrep/getCtrForeignPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrForeignFields": true,
"CtrForeignFields": {
"Cashin": true,
"Cashout": true,
"CountryCode": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrForeignPagedSelectFields
Searches foreign CTRs with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/searchCtrForeignPagedSelectFieldsPOST /nexum/627/persistent/finrep/searchCtrForeignPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrForeignFields": true,
"CtrForeignFields": {
"Cashin": true,
"Cashout": true,
"CountryCode": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrNoteSelectFields
Retrieves CTR notes with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/getCtrNoteSelectFieldsPOST /nexum/627/persistent/finrep/getCtrNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrNoteLocator": 0,
"SelectableFields": {
"IncludeAllCtrNoteFields": true,
"CtrNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrNotePagedListSelectFields
Retrieves a paged list of CTR notes with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/getCtrNotePagedListSelectFieldsPOST /nexum/627/persistent/finrep/getCtrNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrNoteFields": true,
"CtrNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrNotePagedSelectFields
Searches CTR notes with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/searchCtrNotePagedSelectFieldsPOST /nexum/627/persistent/finrep/searchCtrNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrNoteFields": true,
"CtrNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonSelectFields
Retrieves individuals involved in CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/getCtrPersonSelectFieldsPOST /nexum/627/persistent/finrep/getCtrPersonSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"SelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonSelectFieldsFilterChildren
Retrieves individuals involved in CTRs with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/getCtrPersonSelectFieldsFilterChildrenPOST /nexum/627/persistent/finrep/getCtrPersonSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"SelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
},
"CtrPersonCtrTranInfoSelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
}
},
"ChildrenSearchFilter": {
"CtrPersonCtrTranInfoFilter": {
"Query": "string"
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonPagedListSelectFields
Retrieves a paged list of individuals involved in CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/getCtrPersonPagedListSelectFieldsPOST /nexum/627/persistent/finrep/getCtrPersonPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrPersonPagedSelectFields
Searches individuals involved in CTRs with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/searchCtrPersonPagedSelectFieldsPOST /nexum/627/persistent/finrep/searchCtrPersonPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonCtrTranInfoSelectFields
Retrieves CTR transaction information for individuals with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalCtrPersonCtrTranInfoLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/getCtrPersonCtrTranInfoSelectFieldsPOST /nexum/627/persistent/finrep/getCtrPersonCtrTranInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"CtrPersonCtrTranInfoLocator": 0,
"SelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonCtrTranInfoPagedListSelectFields
Retrieves a paged list of CTR transaction information for individuals with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/getCtrPersonCtrTranInfoPagedListSelectFieldsPOST /nexum/627/persistent/finrep/getCtrPersonCtrTranInfoPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrPersonCtrTranInfoPagedSelectFields
Searches CTR transaction information for individuals with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/finrep/searchCtrPersonCtrTranInfoPagedSelectFieldsPOST /nexum/627/persistent/finrep/searchCtrPersonCtrTranInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}updateCtrByID
Updates a CTR by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/updateCtrByIDPOST /nexum/627/persistent/finrep/updateCtrByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrFields": {
"AckByUser": "string",
"AckDate": "string",
"AckErrorByUser": "string",
"AckErrorDate": "string",
"ApproveAmendByUser": "string",
"ApproveAmendDate": "string",
"ApproveByUser": "string",
"ApproveDate": "string",
"Approver": "string",
"ApproverTitle": "string",
"BackFileFlag": 0,
"BatchSequence": 0,
"BranchRouting": "string",
"CashinBillsInsert": 0,
"CashinCurrWager": 0,
"CashinCurrXchng": 0,
"CashinDeposit": 0,
"CashinFundsXfer": 0,
"CashinGamingIns": 0,
"CashinNegIns": 0
},
"nxAttributes": {
"customFields": {}
}
}updateCtrAccountByID
Updates a CTR account by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrAccountLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/updateCtrAccountByIDPOST /nexum/627/persistent/finrep/updateCtrAccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrAccountLocator": 0,
"CtrAccountFields": {
"AccountNumber": "string",
"LastFmDate": "string",
"Locator": 0,
"RecordChangeDate": "string",
"SlId": "string",
"SlIdType": 0,
"Source": 0
},
"nxAttributes": {
"customFields": {}
}
}updateCtrBranchByID
Updates a CTR branch by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrBranchLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/updateCtrBranchByIDPOST /nexum/627/persistent/finrep/updateCtrBranchByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrBranchLocator": 0,
"CtrBranchFields": {
"Address": "string",
"CashinLocation": 0,
"CashoutLocation": 0,
"City": "string",
"CountryCode": "string",
"Ein": "string",
"Id": 0,
"LastFmDate": "string",
"Locator": 0,
"Name": "string",
"RecordChangeDate": "string",
"State": "string",
"Type": 0,
"ZipCode": "string"
},
"nxAttributes": {
"customFields": {}
}
}updateCtrForeignByID
Updates a foreign CTR by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrForeignLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/updateCtrForeignByIDPOST /nexum/627/persistent/finrep/updateCtrForeignByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrForeignLocator": 0,
"CtrForeignFields": {
"Cashin": 0,
"Cashout": 0,
"CountryCode": "string",
"LastFmDate": "string",
"Locator": 0,
"RecordChangeDate": "string"
},
"nxAttributes": {
"customFields": {}
}
}updateCtrNoteByID
Updates a CTR note by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/updateCtrNoteByIDPOST /nexum/627/persistent/finrep/updateCtrNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrNoteLocator": 0,
"CtrNoteFields": {
"Code": 0,
"EnterDate": "string",
"EnterTime": 0,
"ExpirationDate": "string",
"Id": "string",
"IdType": 0,
"Locator": 0,
"RecordChangeDate": "string",
"Text": [
{
"EntryId": 0,
"Text": "string"
}
],
"TextLineCount": 0,
"UserId": 0,
"VoidFlag": 0,
"VoidedBy": 0
},
"nxAttributes": {
"customFields": {}
}
}updateCtrPersonByID
Updates an individual involved in CTRs by their ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/updateCtrPersonByIDPOST /nexum/627/persistent/finrep/updateCtrPersonByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"CtrPersonFields": {
"Address": "string",
"BirthDate": "string",
"Cashin": 0,
"Cashout": 0,
"City": "string",
"CountryCode": "string",
"DbaFirst": "string",
"DbaLast": "string",
"DbaLongName": "string",
"DbaMiddle": "string",
"DbaShortName": "string",
"DbaSuffix": "string",
"Email": "string",
"EntityFlag": 0,
"First": "string",
"Gender": "string",
"Headquarters": 0,
"IdIssueByCountry": "string",
"IdIssueByState": "string",
"IdNumber": "string"
},
"nxAttributes": {
"customFields": {}
}
}updateCtrPersonCtrTranInfoByID
Updates CTR transaction information for individuals by their ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalCtrPersonCtrTranInfoLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/finrep/updateCtrPersonCtrTranInfoByIDPOST /nexum/627/persistent/finrep/updateCtrPersonCtrTranInfoByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"CtrPersonCtrTranInfoLocator": 0,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": "string",
"Amount": 0,
"LastFmDate": "string",
"Locator": 0,
"RecordChangeDate": "string",
"SlId": "string",
"SlIdType": 0,
"Source": 0
},
"nxAttributes": {
"customFields": {}
}
}createCtrBranch
Creates a branch for CTRs.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
CtrBranchLocatorintegeroptionalLoading fields…
/nexum/{sym}/persistent/finrep/createCtrBranchPOST /nexum/627/persistent/finrep/createCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrBranchFields": {
"Address": "string",
"CashinLocation": 0,
"CashoutLocation": 0,
"City": "string",
"CountryCode": "string",
"Ein": "string",
"Id": 0,
"LastFmDate": "string",
"Locator": 0,
"Name": "string",
"RecordChangeDate": "string",
"State": "string",
"Type": 0,
"ZipCode": "string"
},
"nxAttributes": {
"customFields": {}
}
}deleteCtrBranch
Deletes a branch for CTRs.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrBranchLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/persistent/finrep/deleteCtrBranchPOST /nexum/627/persistent/finrep/deleteCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrBranchLocator": 0,
"nxAttributes": {
"customFields": {}
}
}